/* Developed for Lenovo Educational Board Pass 2
   © Lenovo Created by Joshua Grosser
   v. 1.0 */

#include <LIS3DHTR.h> // include the libraries for reading the accelerometer
#include <Wire.h>

LIS3DHTR<TwoWire> LIS; //create object
#define WIRE Wire

float x = 0; // create x coordinate
float y = 0; // create y coordinate
float z = 0; // create z coordinate

void setup() {
  Serial.begin(115200); // set baud rate to 115200

  // turn on the accelerometer
  pinMode(5, OUTPUT);
  digitalWrite(5, HIGH);
  // set up accelerometer
  while (!Serial) {};
  Wire.begin(8, 9);
  LIS.begin(Wire);
  delay(100);
  LIS.setOutputDataRate(LIS3DHTR_DATARATE_50HZ);
  LIS.setHighSolution(true);
}

void loop() {
  // find the current x, y, and z orientation
  x = LIS.getAccelerationX(); 
  y = LIS.getAccelerationY();
  z = LIS.getAccelerationZ();

  // using x, y, and z values read the orienation
  if (x >= .40){
    Serial.println("Lenovo Educational Board is held rotated forward.");
  }

  if (x <= -.40){
    Serial.println("Lenovo Educational Board is held rotated backward.");
  }

  if (y >= .40){
    Serial.println("Lenovo Educational Board is held slanted to the right.");
  }

  if (y <= -.40){
    Serial.println("Lenovo Educational Board is held slanted to the left.");
  }

  if (z >= .80){
    Serial.println("Lenovo Educational Board is held flat.");
  }
  
  if (z <= -.80){
    Serial.println("Lenovo Educational Board is held upside down.");
  }
}
